Search documentation of wx

# wxFontDialog (wx v2.4.3.1)

View Source

This class represents the font chooser dialog.

See:

- Overview cmndlg

- `wxFontData`

- ?wxGetFontFromUser()

This class is derived, and can use functions, from:

- `wxDialog`

- `wxTopLevelWindow`

- `wxWindow`

- `wxEvtHandler`

wxWidgets docs: wxFontDialog

# Summary

## Types

wxFontDialog()

## Functions

create(This, Parent, Data)

Creates the dialog if the `wxFontDialog` object had been initialized using the default constructor.

destroy(This)

Destroys the object

getFontData(This)

Returns the `wxFontData` associated with the font dialog.

new()

Default ctor.

new(Parent, Data)

Constructor.

# Types

# wxFontDialog()

    -type wxFontDialog() :: wx:wx_object().

# Functions

# create(This, Parent, Data)

    -spec create(This, Parent, Data) -> boolean()
                    when
                        This :: wxFontDialog(),
                        Parent :: wxWindow:wxWindow(),
                        Data :: wxFontData:wxFontData().

Creates the dialog if the `wxFontDialog` object had been initialized using the default constructor.

Return: true on success and false if an error occurred.

# destroy(This)

    -spec destroy(This :: wxFontDialog()) -> ok.

Destroys the object

# getFontData(This)

    -spec getFontData(This) -> wxFontData:wxFontData() when This :: wxFontDialog().

Returns the `wxFontData` associated with the font dialog.

# new()

    -spec new() -> wxFontDialog().

Default ctor.

`create/3` must be called before the dialog can be shown.

# new(Parent, Data)

    -spec new(Parent, Data) -> wxFontDialog()
                 when Parent :: wxWindow:wxWindow(), Data :: wxFontData:wxFontData().

Constructor.

Pass a parent window, and the `wxFontData` object to be used to initialize the dialog controls.